#!/usr/bin/env python
# -*- coding: iso-8859-1 -*-
#
#-------------------------------------------------------------------------------
#                    Code_Saturne version 1.3
#                    ------------------------
#
#
#     This file is part of the Code_Saturne User Interface, element of the
#     Code_Saturne CFD tool.
#
#     Copyright (C) 1998-2007 EDF S.A., France
#
#     contact: saturne-support@edf.fr
#
#     The Code_Saturne User Interface is free software; you can redistribute it
#     and/or modify it under the terms of the GNU General Public License
#     as published by the Free Software Foundation; either version 2 of
#     the License, or (at your option) any later version.
#
#     The Code_Saturne User Interface is distributed in the hope that it will be
#     useful, but WITHOUT ANY WARRANTY; without even the implied warranty
#     of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
#
#     You should have received a copy of the GNU General Public License
#     along with the Code_Saturne Kernel; if not, write to the
#     Free Software Foundation, Inc.,
#     51 Franklin St, Fifth Floor,
#     Boston, MA  02110-1301  USA
#
#-------------------------------------------------------------------------------
#
#-------------------------------------------------------------------------------
# Library modules import
#-------------------------------------------------------------------------------


#-------------------------------------------------------------------------------
# Application modules import
#-------------------------------------------------------------------------------


from Base.Toolbox import GuiParam
GuiParam.lang = 'en'


#-------------------------------------------------------------------------------
# Tests suite
#-------------------------------------------------------------------------------


def starttest1():
    from Base.XMLengine import runTest
    runTest()


def starttest2():
    from Base.XMLvariables import runTest
    runTest()


def starttest3():
    from Base.XMLmodel import runTest
    runTest()


def starttest4():
    from Pages.Turbulence import runTest
    runTest()


def starttest5():
    from Pages.ThermalScalar import runTest
    runTest()


def starttest6():
    from Pages.Initialization import runTest
    runTest()


def starttest7():
    from Pages.BodyForces import runTest
    runTest()


def starttest8():
    from Pages.Lagrangian import runTest
    runTest()


def starttest9():
    from Pages.ThermalRadiation import runTest
    runTest()


def starttest10():
    from Pages.OutputVarRay import runTest
    runTest()


def starttest11():
    from Pages.StartRestart import runTest
    runTest()


def starttest12():
    from Pages.NumericalParamEquation import runTest
    runTest()


def starttest13():
    from Pages.NumericalParamGlobal import runTest
    runTest()


def starttest14():
    from Pages.ScalarsBoundaries import runTest
    runTest()


def starttest15():
    from Pages.SolutionDomainModel import runTest
    runTest()


def starttest16():
    from Pages.BatchRunningModel import runTest
    runTest()


def starttest17():
    from Pages.FluidCharacteristics import runTest
    runTest()

def starttest18():
    from Pages.RadiativeBoundaries import runTest
    runTest()

def starttest19():
    from Pages.DefineUserScalars import runTest
    runTest()

def starttest20():
    from Pages.TimeAverages import runTest
    runTest()

def starttest21():
    from Pages.SteadyManagement import runTest
    runTest()

if __name__ == '__main__':

    print 'DEBUT DES TESTS'
    starttest1()
    starttest2()
    starttest3()
    starttest4()
    starttest5()
    starttest6()
    starttest7()
    starttest8()
    starttest9()
    starttest10()
    starttest11()
    starttest12()
    starttest13()
    starttest14()
    starttest15()
    starttest16()
    starttest17()
    starttest18()
    starttest19()
    starttest20()
    starttest21()
    print 'FIN DES TESTS'


#-------------------------------------------------------------------------------
# End
#-------------------------------------------------------------------------------
